com.aispeech.dui

## Class BusClient.BusClientImplementException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.aispeech.dui.BusClient.BusClientImplementException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    BusClient

      public static class BusClient.BusClientImplementException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BusClientImplementException()`
    `BusClientImplementException(java.lang.String s)`
    `BusClientImplementException(java.lang.String s, java.lang.Throwable throwable)`
    `BusClientImplementException(java.lang.Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BusClientImplementException

          public BusClientImplementException()

    - #### BusClientImplementException

          public BusClientImplementException(java.lang.String s)

    - #### BusClientImplementException

          public BusClientImplementException(java.lang.String s,
                                             java.lang.Throwable throwable)

    - #### BusClientImplementException

          public BusClientImplementException(java.lang.Throwable throwable)